use std::collections::HashSet;

use sqlx::PgPool;

pub mod error;

#[derive(Clone)]
pub struct AppState {
    pub pool: PgPool,
}

pub fn string_into_vec(input: String) -> Vec<String> {
    if input.is_empty() {
        return vec![];
    }

    let set: HashSet<String> = input.split(",").map(|s| s.trim().to_string()).collect();

    set.into_iter().collect()
}
